at.chipkarte.client.rez.soap

## Class ERezeptAbgeber

- Object
- - at.chipkarte.client.rez.soap.ERezeptAbgeber

-     public class ERezeptAbgeber
      extends Object

  Daten eines einlösbaren oder abgegebenen e-Rezepts für den Abgeber.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ERezeptAbgeber()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbgabedatum()` Datum der Abgabe.
    `Partnerdaten` | `getAbgeber()` Abgeberdaten.
    `Adressdaten` | `getAnschriftPatient()` Adressdaten des Patienten.
    `Partnerdaten` | `getAussteller()` Partnerdaten des Ausstellers.
    `String` | `getAusstellungsdatum()` Datum der Ausstellung.
    `String` | `getEkvkAnspruch()` Ermittelter zuständiger KV-Träger.
    `EkvkPatient` | `getEkvkPatient()` EKVK Daten des Patienten.
    `String` | `getEmedId()` EMED-ID (DokumentenId) für dieses Dokument.
    `String` | `getFachgebiet()` Fachgebiet.
    `String` | `getGueltigBis()` Berechnetes Gültig Bis Datum des e-Rezeptes.
    `String` | `getGueltigBisErstabgabe()` Berechnetes Datum des Privatrezeptes bis zu dem die erste Abgabe erfolgt sein muss.
    `String` | `getKvt()` KV-Träger des Patienten.
    `RezeptAbgabeInformationen` | `getRezeptAbgabeInfo()` Rezeptabgabeinformationen.
    `String` | `getRezeptart()` Information um welche Art von Rezept es sich handelt.
    `String` | `getRezId()` Eindeutige ID eines e-Rezeptes.
    `String` | `getSuchtgift()` Suchtgift.
    `SvAnspruch` | `getSvAnspruch()` Anspruchsdaten des Sv-Patienten.
    `String` | `getSvnrAbgeleitet()` Versicherungsnummer des Versicherten.
    `SvPatient` | `getSvPatient()` Personendaten des SV-Patienten.
    `VerordnungAbgeber[]` | `getVerordnungen()` Verordnungen inklusive Abgaben.
    `Boolean` | `isAbgabeEditierbar()` Information, ob die Abgabeinformationen zum e-Rezept noch änderbar sind.
    `Boolean` | `isAbgabeStornierbar()` Information, ob die Abgabeinformationen zum e-Rezept noch stornierbar sind.
    `void` | `setAbgabedatum(String abgabedatum)`
    `void` | `setAbgabeEditierbar(Boolean abgabeEditierbar)`
    `void` | `setAbgabeStornierbar(Boolean abgabeStornierbar)`
    `void` | `setAbgeber(Partnerdaten abgeber)`
    `void` | `setAnschriftPatient(Adressdaten anschriftPatient)`
    `void` | `setAussteller(Partnerdaten aussteller)`
    `void` | `setAusstellungsdatum(String ausstellungsdatum)`
    `void` | `setEkvkAnspruch(String ekvkAnspruch)`
    `void` | `setEkvkPatient(EkvkPatient ekvkPatient)`
    `void` | `setEmedId(String emedId)`
    `void` | `setFachgebiet(String fachgebiet)`
    `void` | `setGueltigBis(String gueltigBis)`
    `void` | `setGueltigBisErstabgabe(String gueltigBisErstabgabe)`
    `void` | `setKvt(String kvt)`
    `void` | `setRezeptAbgabeInfo(RezeptAbgabeInformationen rezeptAbgabeInfo)`
    `void` | `setRezeptart(String rezeptart)`
    `void` | `setRezId(String rezId)`
    `void` | `setSuchtgift(String suchtgift)`
    `void` | `setSvAnspruch(SvAnspruch svAnspruch)`
    `void` | `setSvnrAbgeleitet(String svnr)`
    `void` | `setSvPatient(SvPatient svPatient)`
    `void` | `setVerordnungen(VerordnungAbgeber[] verordnungen)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ERezeptAbgeber

          public ERezeptAbgeber()

  - ### Method Detail

    - #### getRezId

          public String getRezId()

      Eindeutige ID eines e-Rezeptes.
      Angabe: Muss.
      Format: 12-stellig
      Returns:
        Returns the rezId.

    - #### setRezId

          public void setRezId(String rezId)

    - #### getRezeptart

          public String getRezeptart()

      Information um welche Art von Rezept es sich handelt.
      Angabe: Muss.
      Mögliche Werte: `RezeptartConstants`.
      Returns:
        Rezeptart.

    - #### setRezeptart

          public void setRezeptart(String rezeptart)

    - #### getSvPatient

          public SvPatient getSvPatient()

      Personendaten des SV-Patienten. Siehe `SvPatient`.
      Angabe: Bedingt. Bei Privatrezepten ist immer entweder der SV-Patient oder der EKVK-Patient versorgt. Bei Kassenrezepten kann der SV-Patient, der EKVK-Patient oder keine Patienteninformation (nur möglich bei Blanko/REZID Rezepten ohne vorliegende Abgabe) versorgt sein.
      Returns:
        SvPatient

    - #### setSvPatient

          public void setSvPatient(SvPatient svPatient)

    - #### getSvnrAbgeleitet

          public String getSvnrAbgeleitet()

      Versicherungsnummer des Versicherten.
      Format: 10-stellig
      Angabe: Bedingt. Nie versorgt bei Privatrezepten.
      Returns:
        Versicherungsnummer des Versicherten.

    - #### setSvnrAbgeleitet

          public void setSvnrAbgeleitet(String svnr)

    - #### getSvAnspruch

          public SvAnspruch getSvAnspruch()

      Anspruchsdaten des Sv-Patienten. Siehe `SvAnspruch`.
      Angabe: Bedingt. Nie versorgt bei Privatrezepten.
      Returns:
        SvAnspruch

    - #### setSvAnspruch

          public void setSvAnspruch(SvAnspruch svAnspruch)

    - #### getEkvkPatient

          public EkvkPatient getEkvkPatient()

      EKVK Daten des Patienten. Siehe `EkvkPatient`.
      Angabe: Bedingt. Bei Privatrezepten ist immer entweder der SV-Patient oder der EKVK-Patient versorgt. Bei Kassenrezepten kann der SV-Patient, der EKVK-Patient oder keine Patienteninformation (nur möglich bei Blanko/REZID Rezepten ohne vorliegende Abgabe) versorgt sein.
      Returns:
        EkvkPatient

    - #### setEkvkPatient

          public void setEkvkPatient(EkvkPatient ekvkPatient)

    - #### getEkvkAnspruch

          public String getEkvkAnspruch()

      Ermittelter zuständiger KV-Träger.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Bedingt. Nie versorgt bei Privatrezepten.
      Returns:
        Code des KvTrägers

    - #### setEkvkAnspruch

          public void setEkvkAnspruch(String ekvkAnspruch)

    - #### getAnschriftPatient

          public Adressdaten getAnschriftPatient()

      Adressdaten des Patienten. Siehe `Adressdaten`.
      Angabe: Bedingt.
      Returns:
        AnschriftPatient

    - #### setAnschriftPatient

          public void setAnschriftPatient(Adressdaten anschriftPatient)

    - #### getAussteller

          public Partnerdaten getAussteller()

      Partnerdaten des Ausstellers. Siehe `Partnerdaten`.
      Angabe: Muss.
      Returns:
        Aussteller.

    - #### setAussteller

          public void setAussteller(Partnerdaten aussteller)

    - #### getFachgebiet

          public String getFachgebiet()

      Fachgebiet.
      Mögliche Werte siehe `getFachgebiete`.
      Angabe: Bedingt.
      Returns:
        Code des Fachgebietes

    - #### setFachgebiet

          public void setFachgebiet(String fachgebiet)

    - #### getAusstellungsdatum

          public String getAusstellungsdatum()

      Datum der Ausstellung.
      Format: TT.MM.JJJJ
      Angabe: Bedingt.
      Returns:
        Ausstellungsdatum

    - #### setAusstellungsdatum

          public void setAusstellungsdatum(String ausstellungsdatum)

    - #### getGueltigBis

          public String getGueltigBis()

      Berechnetes Gültig Bis Datum des e-Rezeptes.
      Format: TT.MM.JJJJ
      Angabe: Bedingt.
      Returns:
        GültigBis Datum

    - #### setGueltigBis

          public void setGueltigBis(String gueltigBis)

    - #### getGueltigBisErstabgabe

          public String getGueltigBisErstabgabe()

      Berechnetes Datum des Privatrezeptes bis zu dem die erste Abgabe erfolgt sein muss.
      Format: TT.MM.JJJJ
      Angabe: Bedingt. Immer versorgt bei einem Privatrezept. Nie versorgt bei einem Kassenrezept.
      Returns:
        GültigBis Erstabgabedatum

    - #### setGueltigBisErstabgabe

          public void setGueltigBisErstabgabe(String gueltigBisErstabgabe)

    - #### getVerordnungen

          public VerordnungAbgeber[] getVerordnungen()

      Verordnungen inklusive Abgaben. Siehe `VerordnungsAbgabe`.
      Format: 0 bis 10 Elemente.
      Angabe: Bedingt. Bei Kassenrezepten können unter Umständen keine Verordnungen enthalten sein (Blanko / REZID Rezept). Bei Privatezepten ist immer mindestens eine Verordnung enthalten.
      Returns:
        VerordnungAbgeber

    - #### setVerordnungen

          public void setVerordnungen(VerordnungAbgeber[] verordnungen)

    - #### getRezeptAbgabeInfo

          public RezeptAbgabeInformationen getRezeptAbgabeInfo()

      Rezeptabgabeinformationen. Siehe `RezeptAbgabeInformationen`.
      Angabe: Bedingt. Nie versorgt bei Privatrezepten.
      Returns:
        RezeptAbgabeInformationen

    - #### setRezeptAbgabeInfo

          public void setRezeptAbgabeInfo(RezeptAbgabeInformationen rezeptAbgabeInfo)

    - #### getAbgabedatum

          public String getAbgabedatum()

      Datum der Abgabe.
      Format: TT.MM.JJJJ
      Angabe: Bedingt. Nie versorgt bei Privatrezepten.
      Returns:
        Abgabedatum

    - #### setAbgabedatum

          public void setAbgabedatum(String abgabedatum)

    - #### getAbgeber

          public Partnerdaten getAbgeber()

      Abgeberdaten. Siehe `Partnerdaten`.
      Angabe: Bedingt. Nur versorgt wenn eine Abgabe durch den durchführenden Vertragspartner erfolgt ist. Die Partnerdaten sind dabei immer mit den Daten des durchführenden Vertragspartner versorgt. Bei Privatezepten muss mindestens eine Abgabe durch den durchführenden Vertragspartner erfolgt sein damit die Partnerdaten versorgt werden.
      Returns:
        Partnerdaten.

    - #### setAbgeber

          public void setAbgeber(Partnerdaten abgeber)

    - #### isAbgabeStornierbar

          public Boolean isAbgabeStornierbar()

      Information, ob die Abgabeinformationen zum e-Rezept noch stornierbar sind.
      Angabe: Bedingt. Immer versorgt bei einem Kassenrezept. Nie versorgt bei einem Privatrezept.
      Returns:
        Steuerkennzeichen über die Stornierbarkeit der Abgabe.

    - #### setAbgabeStornierbar

          public void setAbgabeStornierbar(Boolean abgabeStornierbar)

    - #### isAbgabeEditierbar

          public Boolean isAbgabeEditierbar()

      Information, ob die Abgabeinformationen zum e-Rezept noch änderbar sind.
      Angabe: Bedingt. Immer versorgt bei einem Kassenrezept. Nie versorgt bei einem Privatrezept.
      Returns:
        Steuerkennzeichen über die Änderbarkeit der Abgabe.

    - #### setAbgabeEditierbar

          public void setAbgabeEditierbar(Boolean abgabeEditierbar)

    - #### getEmedId

          public String getEmedId()

      EMED-ID (DokumentenId) für dieses Dokument.
      Format: 12-stellig
      Angabe: Kann.
      Returns:
        Returns the EMED-ID.

    - #### setEmedId

          public void setEmedId(String emedId)

    - #### getSuchtgift

          public String getSuchtgift()

      Suchtgift. Wenn JA, dann ist dieses Rezept ein Suchtgiftrezept.
      Mögliche Werte: `KennzeichenConstants.JA`.
      Angabe: Kann.
      Returns:
        Suchtgift

    - #### setSuchtgift

          public void setSuchtgift(String suchtgift)

    - #### getKvt

          public String getKvt()

      KV-Träger des Patienten.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Kann.
      Returns:
        Returns the kvt.

    - #### setKvt

          public void setKvt(String kvt)